#!/bin/bash
# Crimea-Karro 2017
# Linux Games Start v2.x
name=WineLGS
version=v2.2

# Цвета в консоле

c_std="[0;39m"
c_h_std="[1;37m"
c_pink="[0;35m"
c_h_pink="[1;35m"
c_red="[0;31m"
c_h_red="[1;31m"
c_cayan="[0;36m"
c_h_cayan="[1;36m"
c_yellow="[1;33m"
c_green="[0;32m"
c_h_green="[1;32m"
c_blue="[0;34m"
c_h_blue="[1;34m"

#UNCOMMENT THESE LINES IF YOU USE NVIDIA DRIVERS
#export LD_PRELOAD="libpthread.so.0 libGL.so.1"
export __GL_THREADED_OPTIMISATIONS=1
export STAGING_SHARED_MEMORY=1
export STAGING_WRITECOPY=1
#export STAGING_RT_PRIORITY_SERVER=86
#export STAGING_RT_PRIORITY_BASE=86
#export __GL_SYNC_TO_VBLANK=1
#export __GL_YIELD="NOTHING"
export VDPAU_DRIVER= va_gl # For wine (Staging)

# export GALLIUM_HUD=fps
export GALLIUM_HUD="fps,cpu,GPU-load,VRAM-usage,draw-calls"
export GALLIUM_HUD_VISIBLE=false
export GALLIUM_HUD_TOGGLE_SIGNAL=10

#Controlling the debugging output
#export WINEDEBUG=+all
export WINEDEBUG=-all

clear # Очистка экрана

# Абсолютный путь к основной папке,запуск бинарника

patch_game="/Games/Steam_windows/Steam/.wine" # Путь к папке wine.
patch_game2="" # Путь к папке wine_2.
comm_exe="wine Steam.exe" # Запуск основного бинарника.
comm_exe2="wine start.exe" # Запуск основного бинарника.
comm_reg="wine regedit"
#comm_reg="wine regedit temp.reg"
comm_cfg="winecfg"
comm_dll="winetricks"
comm_ctrl="wine control"

#spd-say "Hello Gamer" -r 1

echo
echo
echo "${c_h_blue}Crimea-Karro 2017${c_std}"
echo $name $version
echo "${c_yellow}----------------------${c_std}"
echo
echo
echo "${c_blue}Copy the script into the working folder (working folder to specify).${c_std}"
echo "${c_blue}Check script code (ATI/NVIDIA/Intel) controlling the debugging output.${c_std}"
echo
echo "${c_h_red}Enter commands:${c_std}"
echo
echo "${c_cayan}* WINEPREFIX(1) - ${c_std}${c_h_green}[E]xe${c_std}"
echo "${c_cayan}* WINEPREFIX(2) - ${c_std}${c_h_green}[E2]xe${c_std}"
echo "${c_cayan}* Regedit - ${c_std}${c_h_green}[R]egdit${c_std}"
echo "${c_cayan}* Winecfg - ${c_std}${c_h_green}[C]onfig${c_std}"
echo "${c_cayan}* Winetricks - ${c_std}${c_h_green}[W]inetricks${c_std}"
echo "${c_cayan}* WineControl - ${c_std}${c_h_green}[J]oystick${c_std}"
echo
echo "${c_yellow}----------------------${c_std}"
echo

echo "${c_h_green}Press Enter [xxx]:${c_std}"
read wine_comm

case "$wine_comm" in

# Обратите внимание: переменная взята в кавычки.

  "E" | "e" )
  # Пользователь может ввести как заглавную, так и строчную букву.
  echo
  echo "* Ok...EXE"
  echo
  echo "* Run > [EXE]"
  env WINEPREFIX=$patch_game $comm_exe;
  echo
  echo "Done..."
  ;;

  "E2" | "e2" )
  # Пользователь может ввести как заглавную, так и строчную букву.
  echo
  echo "* Ok...EXE2"
  echo
  echo "* Run > [EXE2]"
  env WINEPREFIX=$patch_game $comm_exe2;
  echo
  echo "Done..."
  ;;

  "R" | "r" )
  # Пользователь может ввести как заглавную, так и строчную букву.
  echo
  echo "* Ok...REG"
  echo
  echo "* Run > [Regedit]"
  env WINEPREFIX=$patch_game $comm_reg;
  echo
  echo "Done..."
  ;;

  "C" | "c" )
  # Пользователь может ввести как заглавную, так и строчную букву.
  echo
  echo "* Ok...CFG"
  echo
  echo "* Run > [WineCFG]"
  env WINEPREFIX=$patch_game $comm_cfg;
  echo
  echo "Done..."
  ;;

  "W" | "w" )
  # Пользователь может ввести как заглавную, так и строчную букву.
  echo
  echo "* Ok...[Winetricks]"
  echo
  echo "* Run > [Winetricks]"
  env WINEPREFIX=$patch_game $comm_dll;
  echo
  echo "Done..."
  ;;

    "J" | "j" )
  # Пользователь может ввести как заглавную, так и строчную букву.
  echo
  echo "* Ok...[WineControl]"
  echo
  echo "* Run > [WineControl]"
  env WINEPREFIX=$patch_game $comm_ctrl;
  echo
  echo "Done..."
  ;;

  esac

  echo

  exit 0;

# 17.01.2017
